package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.ms.GreenModel;

import java.util.List;

public interface IMSGreenService {
    List list(String tableType, BaseExample.Page pager);

    long queryCount(String tableType);

    <V> ResultState  add(V e, boolean isEdit);

    Object findById(String tableType, Long id);

    ResultState delete(String tableType, Long id);

    List<GreenModel> buildList(String type,BaseExample.Page pager);

    long buildCount(String type,BaseExample.Page pager);

    GreenModel findByBuildId(Long id,String type);

    ResultState doAdd(GreenModel garbageRegionModel, boolean isEdit);

    ResultState delBuild(Long id, Long regionId,String type);
}
